#!/usr/bin/env bash
LIGHT_GREEN='\x1B[92m';
NC='\x1B[39m';

if [[ -z $1 ]]; then
  echo;
  echo "Usage: $0 <environment>";
  echo;
  exit 1;
fi
ENV=$1;

export TERMINUS_HIDE_GIT_MODE_WARNING=1;

echo;
echo -n "Set 'ascoverseer' password to: ";
read NEW_PASSWORD;
echo;

# SITES="chemistry-d8 deall-d8 climate-d8 sls-d8";
SITES=$(terminus site:list --upstream=5161e51a-0e4a-414c-974e-8565094b76b1 --fields=name --format=string);
echo "Sites: $SITES";
echo;

# NO PARALLEL
# for SITE in $SITES; do
#   echo -e "${LIGHT_GREEN}=== $SITE ===${NC}";
#   terminus remote:drush $SITE.$ENV user:password ascoverseer "$NEW_PASSWORD";
#   echo;
# done

# USE PARALLEL
parallel --tag "terminus remote:drush {}.$ENV user:password ascoverseer '$NEW_PASSWORD'" ::: $SITES;
