#!/usr/bin/env bash

if [[ -z $1 || -z $2 ]]; then
  echo; echo "Usage: $0 <site> <env>";
  echo; echo;
  exit 1;
fi

if [[ $2 == 'live' ]]; then
  DOMAIN=$(terminus domain:list $1.$2 --field=id --filter=type=custom | sort | head -1);
else
  terminus env:wake $1.$2 --quiet;
  
  DOMAIN=$(terminus domain:list $1.$2 --field=id --filter=type=platform | sort | head -1);
fi

# echo "Domain: $DOMAIN";

if [[ ! $DOMAIN == '' ]]; then
  RESPONSE=`curl -ksSL -w "%{http_code} %{url_effective}" -o /dev/null https://${DOMAIN}`;
  #echo -n ".";
  HTTP_CODE=`echo "$RESPONSE" | cut -d' ' -f 1`;
  URL_EFFECTIVE=`echo "$RESPONSE" | cut -d' ' -f 2`;

  if [[ "$HTTP_CODE" == "200" ]]; then
    echo "OK:    $URL_EFFECTIVE";
  elif [[ "$HTTP_CODE" == "404" ]]; then
    echo "404    $URL_EFFECTIVE"
  else 
    # echo "######################################";
    echo "Error: $HTTP_CODE $URL_EFFECTIVE";
  fi
fi


