#!/usr/bin/env bash
LIGHT_GREEN='\x1B[92m';
NC='\x1B[39m';

if [[ -z $1 ]]; then
  echo;
  echo "Usage: $0 <dev|test|live>";
  echo;
  echo;
  exit 1;
else
  ENV=$1;
fi

if [[ $ENV != 'dev' && $ENV != 'test' && $ENV != 'live' ]]; then
  echo;
  echo "'$ENV' is not a recognized environment.  Use 'dev' or 'test' or 'live'.";
  echo;echo;
  exit 1;
fi


for SITE_NAME in `terminus org:site:list ohio-state-arts-and-sciences --upstream=5161e51a-0e4a-414c-974e-8565094b76b1 --fields=name --format=string`; do
  echo;
  echo -e "${LIGHT_GREEN}==================================================================================${NC}";
  printf "${LIGHT_GREEN}== %-30s ================================================${NC}\n" $SITE_NAME
  echo -e "${LIGHT_GREEN}==================================================================================${NC}";
  echo "SITE_NAME[$SITE_NAME]  ENV[$ENV]";
  echo;

  terminus env:clear-cache ${SITE_NAME}.${ENV};
done

