#!/usr/bin/env bash

if [[ -z $1 ]]; then
  echo; echo "Usage: $0 'module_name'";
  echo; echo;
  exit 1;
fi


LOG_FILE=$1-sites-`date +%Y%m%d_%H%M`.txt;
echo "log file: $LOG_FILE"; echo;

SITES=$(terminus org:site:list ohio-state-arts-and-sciences --upstream=5161e51a-0e4a-414c-974e-8565094b76b1 --fields=name --format=string | sort);


parallel --delay 0.1 --tag "terminus remote:drush {}.live pm:list -- --format=table --fields=status,name |grep $1" ::: $SITES | tee $LOG_FILE


ENABLED_COUNT=$(grep -i 'enabled' $LOG_FILE | wc -l);
DISABLED_COUNT=$(grep -i 'disabled' $LOG_FILE | wc -l);
UNINSTALLED_COUNT=$(grep -i 'not installed' $LOG_FILE | wc -l);


# perl -pi -e 's/^[-\w]+\s+enabled\s+\w+\s*\n//;' $LOG_FILE;
# perl -pi -e 's/^[-\w]+\s+disabled\s+\w+\s*\n//;' $LOG_FILE;
# perl -pi -e 's/^[-\w]+\s+not installed\s+\w+\s*\n//;' $LOG_FILE;

echo;

if [ -s $LOG_FILE ]; then
  echo; echo "====================================";
  cat $LOG_FILE;
  echo "====================================";echo;
else
  echo "Pruned log file is empty. Deleted."; echo;
  # rm $LOG_FILE;
fi

echo "$ENABLED_COUNT - enabled.";
echo "$DISABLED_COUNT - disabled.";
echo "$UNINSTALLED_COUNT - not installed.";

echo;echo;

